/*******************************************************************************
* File Name: Button.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Button_ALIASES_H) /* Pins Button_ALIASES_H */
#define CY_PINS_Button_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Button_0			(Button__0__PC)
#define Button_0_PS		(Button__0__PS)
#define Button_0_PC		(Button__0__PC)
#define Button_0_DR		(Button__0__DR)
#define Button_0_SHIFT	(Button__0__SHIFT)
#define Button_0_INTR	((uint16)((uint16)0x0003u << (Button__0__SHIFT*2u)))

#define Button_1			(Button__1__PC)
#define Button_1_PS		(Button__1__PS)
#define Button_1_PC		(Button__1__PC)
#define Button_1_DR		(Button__1__DR)
#define Button_1_SHIFT	(Button__1__SHIFT)
#define Button_1_INTR	((uint16)((uint16)0x0003u << (Button__1__SHIFT*2u)))

#define Button_INTR_ALL	 ((uint16)(Button_0_INTR| Button_1_INTR))


#endif /* End Pins Button_ALIASES_H */


/* [] END OF FILE */
